@rem Copyright IBM Corp. 2001

@echo off
setlocal enableextensions
call "%~dp0setupCmdLine.bat"


:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::Workaround for JIT optimization defect -- PMR 70989,001,866
::
set JITC_COMPILEOPT=NQOPTIMIZE{com/ibm/jcs/cg/CallGraph}{postProcess}


::::::::::::::::::::::::::::::::::::::::::::::::::
::Get the version of Xerces packaged with this WAS
::

set getXercesVersion="%JAVA_HOME%\bin\java -cp %WAS_HOME%\lib\xerces.jar org.apache.xerces.framework.Version"

for /f "tokens=2" %%i in ('%getXercesVersion%') do @set xerces_version=%%i

for /f "tokens=1,2,3 delims=." %%i in ("%xerces_version%") do ((set xrelease=%%i) & (set xversion=%%j) & (set xupdate=%%k))

if "%1" == "-xerces" goto XERCES




:::::::::::::::::::::::::
::Decide which jar to use
::

if "%xrelease%" EQU "1" if "%xversion%" EQU "2" if "%xupdate%" EQU "1" goto WAS401

:WAS402
SET CMPOPT_JARPATH=%WAS_HOME%\lib\cmpopt1026b.jar
goto EXEC

:WAS401
SET CMPOPT_JARPATH=%WAS_HOME%\lib\cmpopt1026a.jar



:EXEC
SET CP=.;%CMPOPT_JARPATH%
SET CP=%CP%;%WAS_HOME%\lib\aat.jar
SET CP=%CP%;%WAS_HOME%\lib\mof.jar
SET CP=%CP%;%WAS_HOME%\lib\mofj2ee.jar
SET CP=%CP%;%WAS_HOME%\lib\mofjava.jar
SET CP=%CP%;%WAS_HOME%\lib\ws-base-extensions.jar
SET CP=%CP%;%WAS_HOME%\lib\ras.jar


%JAVA_HOME%\bin\java -classpath "%CP%" -DOS=nt -DWAS_HOME="%WAS_HOME%" -Xgcthreads8 -Xms384m -Xmx384m com.ibm.jcs.CmpOptimal %WAS_HOME%\lib %JAVA_HOME%\jre\lib %*
goto END

:XERCES
echo Xerces %xerces_version% detected.
echo.

:END