@echo off
REM
REM  This is the batch file to launch the Log Analyzer for the WebSphere
REM  Advanced Server Edition.
REM
@setlocal

call "%~dp0setupCmdLine.bat"

set PATH=%WAS_HOME%\bin;%PATH%

for /f %%d in ('cd') do set CURRDIR=%%d
set TEMPIVBDIR=%WAS_HOME%
if  DEFINED SANDBOXBASE set TEMPIVBDIR=%IVB_DRIVER_PATH%
set DIR=%TEMPIVBDIR%\bin
pushd %DIR%
%JAVA_HOME%\bin\java -DIVB_HOME="%USERPROFILE%/logbr" ^
  -DIVB_DRIVER_PATH="%TEMPIVBDIR%" ^
  -DIVB_LOG_TYPES_DESC=waslogtypes.xml ^
  -DVABHELP="file:///%WAS_HOME%/web/InfoCenter/was/" ^
  -DEDITION=advanced ^
  -DTEMP="%TEMP% " ^
  -DCURRDIR="%CURRDIR% " ^
  -classpath "%TEMPIVBDIR%\properties\logbr;%TEMPIVBDIR%\lib\ivblogbr.jar;%TEMPIVBDIR%\bin;%TEMPIVBDIR%\lib\logbrjface.jar;%TEMPIVBDIR%\properties\logbr\logbrxml.jar" -mx200m -ms10m com.ibm.ivb.log.ui.LogBrowser %*
if errorlevel 1 goto STOP
goto EXIT
:STOP
pause
:EXIT
popd
@endlocal
