<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/app.tld"    prefix="app" %>
<%@ taglib uri="/WEB-INF/ibm_logic.tld" prefix="ibm_logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="struts_bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="struts_logic" %>
<%@ taglib uri="/WEB-INF/struts.tld" prefix="struts" %>
<app:detectLocale/><app:checkLogon/>
<jsp:useBean id="user" scope="session" class="com.ibm.ejs.sm.web.common.User"/>
<html>
<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=*">
<META HTTP-EQUIV="Expires" CONTENT="0">
<script language="JavaScript" src="scripts/menu_functions.js"></script>
<script language="JavaScript">
if (isNav4) {
document.write("<link rel='stylesheet' href='css/was_style_ns.css'>")
}
if (isIE) {
if (isDom) {
document.write("<link rel='stylesheet' href='css/was_style_ns.css'>")
}
else {
document.write("<link rel='stylesheet' href='css/was_style.css'>")
}
}
</script>
</head>

<body CLASS="content">
<jsp:useBean id="javaProcessDefForm" scope="session" class="com.ibm.ejs.sm.web.server.JavaProcessDefForm"/>
<%String patternString;%>

<jsp:useBean id="javaProcessDef" scope="session" class="com.ibm.ejs.models.base.config.server.JavaProcessDef"/>
<struts_bean:define id="javaProcessDefRefId" name="javaProcessDef" property="refId"/>
<% session.setAttribute("lastPage", "JavaProcessDefDetails");%>

<span class="information"><ibm_logic:errors/></span>


<!--EDITABLE-->
<struts:ifPropertyNotEquals name="javaProcessDefForm" property="action" value="ReadOnly">
<struts:form action="saveJavaProcessDef.do" name="javaProcessDefForm" focus="<%= javaProcessDefForm.getFocus() %>" type="com.ibm.ejs.sm.web.server.JavaProcessDefForm">
<struts:hidden property="action"/>
<p class="bread-crumb">
<IMG SRC="./images/<struts:message key='JavaProcessDef.smallIcon'/>" ALIGN="BASELINE" ALT=""></IMG>
&nbsp;<struts:message key="Server.processDefinition.displayName"/>
</p>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<p class="instruction-text">
<struts:message key="JavaProcessDef.description"/>
</p>
</struts:ifPropertyEquals>
<p class="instruction-text">
<ibm_logic:info image="additional.information.image"  topic="JavaProcessDef_Details" label="additional.information.text"/>
</p>
<table border="0" cellpadding="0" cellspacing="0" valign="top" width="100%" summary="Framing Table">
<tbody>
<tr>
<td class="framing-table">
<table border="0" cellpadding="3" cellspacing="1" width="100%" summary="Properties Table">
<tbody>
<tr>
<th colspan="3" class="column-head" id="header1"><struts:message key="Properties.title"/></th>
</tr>
<tr valign="top">
<td class="table-text"   headers="header1" nowrap valign="top">
<label  for="executableName"><struts:message key="ProcessDef.executableName.displayName"/>:</label>
&nbsp;
</td>
<td class="table-text"   headers="header1" nowrap valign="top">
<span class="required">*</span>
<struts:text property="executableName" size="30"/>&nbsp;
</td>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<td class="description-text" valign="top" headers="header1">
<struts:message key="ProcessDef.executableName.description"/>&nbsp;
</td>
</struts:ifPropertyEquals>
</tr>
<tr valign="top">
<td class="table-text"   headers="header1" nowrap valign="top">
<label  for="workingDirectory"><struts:message key="ProcessDef.workingDirectory.displayName"/>:</label>
&nbsp;
</td>
<td class="table-text"   headers="header1" nowrap valign="top">
<struts:text property="workingDirectory" size="30"/>&nbsp;
</td>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<td class="description-text" valign="top" headers="header1">
<struts:message key="ProcessDef.workingDirectory.description"/>&nbsp;
</td>
</struts:ifPropertyEquals>
</tr>

<tr>
<th colspan="3" class="column-head"  id="header3">
<struts:message key="advanced.settings"/></th>
</tr>
<tr valign="top">
<td  colspan="2" class="table-text" valign="top" nowrap headers="header3">
<IMG SRC="./images/<struts:message key='SystemProperty.smallIcon'/>" ALIGN="BASELINE" ALT=""></IMG>
&nbsp;<%String clickActionURI="showCollection.do?id=systemProps&parentId="+javaProcessDefRefId;%>
&nbsp;<A HREF='<%=clickActionURI%>'>
<struts:message key="ProcessDef.environment.displayName"/></A>
</td>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<td class="description-text" headers="header3" valign="top">
<struts:message key="ProcessDef.environment.description"/>
&nbsp;
</td>
</struts:ifPropertyEquals>
</tr>

<tr>
<th valign="top" class="column-head-name" colspan="3" id="header2">
<struts:submit styleClass="buttons">
&nbsp;&nbsp;<struts:message key="button.ok"/>&nbsp;&nbsp;
</struts:submit>
&nbsp;
<struts:reset styleClass="buttons">
<struts:message key="button.reset"/>
</struts:reset>
&nbsp;
<struts:cancel styleClass="buttons">
<struts:message key="button.cancel"/>
</struts:cancel>
</th>
</tr>
</tbody>
</table>
</td>
</tr>
</tbody>
</table>
</struts:form>
</struts:ifPropertyNotEquals>
</body>
</html>
