<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/app.tld"    prefix="app" %>
<%@ taglib uri="/WEB-INF/ibm_logic.tld" prefix="ibm_logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="struts_bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="struts_logic" %>
<%@ taglib uri="/WEB-INF/struts.tld" prefix="struts" %>
<app:detectLocale/><app:checkLogon/>
<jsp:useBean id="user" scope="session" class="com.ibm.ejs.sm.web.common.User"/>
<html>
<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=*">
<META HTTP-EQUIV="Expires" CONTENT="0">
<script language="JavaScript" src="scripts/menu_functions.js"></script>
<script language="JavaScript">
if (isNav4) {
document.write("<link rel='stylesheet' href='css/was_style_ns.css'>")
}
if (isIE) {
if (isDom) {
document.write("<link rel='stylesheet' href='css/was_style_ns.css'>")
}
else {
document.write("<link rel='stylesheet' href='css/was_style.css'>")
}
}
</script>
</head>

<body CLASS="content">
<jsp:useBean id="oRBConfigForm" scope="session" class="com.ibm.ejs.sm.web.applicationserver.ORBConfigForm"/>
<%String patternString;%>

<jsp:useBean id="oRBConfig" scope="session" class="com.ibm.ejs.models.base.config.applicationserver.ORBConfig"/>
<struts_bean:define id="oRBConfigRefId" name="oRBConfig" property="refId"/>
<% session.setAttribute("lastPage", "ORBConfigDetails");%>

<span class="information"><ibm_logic:errors/></span>


<!--EDITABLE-->
<struts:ifPropertyNotEquals name="oRBConfigForm" property="action" value="ReadOnly">
<struts:form action="saveORBConfig.do" name="oRBConfigForm" focus="<%= oRBConfigForm.getFocus() %>" type="com.ibm.ejs.sm.web.applicationserver.ORBConfigForm">
<struts:hidden property="action"/>
<!--PQ54642 - start -->
<struts:hidden property="enable"/>
<!--PQ54642 - end -->
<p class="bread-crumb">
<IMG SRC="./images/<struts:message key='ORBConfig.smallIcon'/>" ALIGN="BASELINE" ALT=""></IMG>
&nbsp;<struts:message key="ApplicationServer.orbSettings.displayName"/>
</p>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<p class="instruction-text">
<struts:message key="ORBConfig.description"/>
</p>
</struts:ifPropertyEquals>
<p class="instruction-text">
<ibm_logic:info image="additional.information.image"  topic="ORBConfig_Details" label="additional.information.text"/>
</p>
<table border="0" cellpadding="0" cellspacing="0" valign="top" width="100%" summary="Framing Table">
<tbody>
<tr>
<td class="framing-table">
<table border="0" cellpadding="3" cellspacing="1" width="100%" summary="Properties Table">
<tbody>
<tr>
<th colspan="3" class="column-head" id="header1"><struts:message key="Properties.title"/></th>
</tr>
<!-- PQ54642 - start - removed ability to view / disable ORB Config checkbox -->
<%--
<tr valign="top">
<td valign="top" class="table-text" headers="header1" COLSPAN="2">
<label><struts:checkbox property="enable"/>&nbsp;&nbsp;<struts:message key="ServiceConfig.enable.displayName"/></label>
</td>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<td class="description-text" headers="header1" valign="top">
<struts:message key="ServiceConfig.enable.description"/>&nbsp;
</td>
</struts:ifPropertyEquals>
</tr>
--%>
<!-- PQ54642 - end -->
<tr valign="top">
<td class="table-text"   headers="header1" nowrap valign="top">
<label  for="bootstrapHost"><struts:message key="ORBConfig.bootstrapHost.displayName"/>:</label>
&nbsp;
</td>
<td class="table-text"   headers="header1" nowrap valign="top">
<span class="required">*</span>
<struts:text property="bootstrapHost" size="30"/>&nbsp;
</td>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<td class="description-text" valign="top" headers="header1">
<struts:message key="ORBConfig.bootstrapHost.description"/>&nbsp;
</td>
</struts:ifPropertyEquals>
</tr>
<tr valign="top">
<td class="table-text"   headers="header1" nowrap valign="top">
<label  for="bootstrapPort"><struts:message key="ORBConfig.bootstrapPort.displayName"/>:</label>
&nbsp;
</td>
<td class="table-text"   headers="header1" nowrap valign="top">
<struts:text property="bootstrapPort" size="30"/>&nbsp;
</td>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<td class="description-text" valign="top" headers="header1">
<struts:message key="ORBConfig.bootstrapPort.description"/>&nbsp;
</td>
</struts:ifPropertyEquals>
</tr>
<struts:ifPropertyNotEquals name="oRBConfigForm" property="action" value="New">
<tr>
<th colspan="3" class="column-head"  id="header3">
<struts:message key="advanced.settings"/></th>
</tr>
</struts:ifPropertyNotEquals>
<struts:ifPropertyNotEquals name="oRBConfigForm" property="action" value="New">
<tr valign="top">
<td  colspan="2" class="table-text" valign="top" nowrap headers="header3">
<IMG SRC="./images/<struts:message key='SystemProperty.smallIcon'/>" ALIGN="BASELINE" ALT=""></IMG>
&nbsp;<%String clickActionURI="showCollection.do?id=dynamicProps&parentId="+oRBConfigRefId;%>
&nbsp;<A HREF='<%=clickActionURI%>'>
<struts:message key="ServiceConfig.dynamicProps.displayName"/></A>
</td>
<struts:ifPropertyEquals name="user" property="showDescription" value="true">
<td class="description-text" headers="header3" valign="top">
<struts:message key="ServiceConfig.dynamicProps.description"/>
&nbsp;
</td>
</struts:ifPropertyEquals>
</tr>
</struts:ifPropertyNotEquals>

<tr>
<th valign="top" class="column-head-name" colspan="3" id="header2">
<struts:submit styleClass="buttons">
&nbsp;&nbsp;<struts:message key="button.ok"/>&nbsp;&nbsp;
</struts:submit>
&nbsp;
<struts:reset styleClass="buttons">
<struts:message key="button.reset"/>
</struts:reset>
&nbsp;
<struts:cancel styleClass="buttons">
<struts:message key="button.cancel"/>
</struts:cancel>
</th>
</tr>
</tbody>
</table>
</td>
</tr>
</tbody>
</table>
</struts:form>
</struts:ifPropertyNotEquals>
</body>
</html>
