@rem 5630-A23, 5630-A22, (C) Copyright IBM Corporation, 1997, 2002
@rem All rights reserved. Licensed Materials Property of IBM  
@rem US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 

@echo off
REM -- DEBUG option not applicable --
setlocal 

call %~dp0setupCmdLine.bat

pushd %WAS_HOME%\bin
if $%1$==$debug$ goto DEBUG 
if $%1$==$Debug$ goto DEBUG
if $%1$==$DEBUG$ goto DEBUG
if $%1$==$-v$ goto DEBUG
goto NODEBUG
:DEBUG
set DEBUGOPTS=-traceString "com.ibm.*=all=enabled"
set DESTARG=%2
set DESTPORTARG=%3
set VERSIONARG=%4
goto DEST

:NODEBUG
set DEBUGOPTS=
set DESTARG=%1
set DESTPORTARG=%2
set VERSIONARG=%3

:DEST
if $%DESTARG%$==$$ goto LOCAL
set DEST="%DESTARG%"
if $%DESTPORTARG%$==$$ goto HOSTMSG
set DESTPORT=%DESTPORTARG%
if $%VERSIONARG%$==$$ goto VERSIONMSG 
set VERSION=%VERSIONARG%
echo Remote AdminServer (%VERSIONARG%) %DESTARG% will be accessed on port %DESTPORTARG%.
goto SERVER

:VERSIONMSG
set VERSION=
echo Remote AdminServer %DESTARG% will be accessed on port %DESTPORTARG%.
goto SERVER

:HOSTMSG
echo Remote AdminServer %DESTARG% will be accessed on the default port (900).
set DESTPORT=
set VERSION=
goto SERVER

:LOCAL
set DEST=
set DESTPORT=
set VERSION=
echo "No remote host or port argument specified. localhost/900 will be used."
echo "This command may be issued as: ra <host address <port number>>" 

:SERVER

if "%DEBUGOPTS%"=="" goto START

%JAVA_HOME%\bin\java -Xminf0.15 -Xmaxf0.25 %CLIENTSAS% -Dserver.root=%WAS_HOME% -Dws.ext.dirs=%WAS_EXT_DIRS% -classpath %WAS_CLASSPATH% com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.pmi.ra.view.RAGui %DEST% %DESTPORT% %VERSION%
goto END

:START

@start %JAVA_HOME%\bin\javaw -Xminf0.15 -Xmaxf0.25 %CLIENTSAS% -Dserver.root=%WAS_HOME% -Dws.ext.dirs=%WAS_EXT_DIRS% -classpath %WAS_CLASSPATH% com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.pmi.ra.view.RAGui %DEST% %DESTPORT% %VERSION%

:END


endlocal
popd
