echo off
REM
REM To regenerate the symptom database xml after the symptom database
REM has been changed, type the following:
REM
REM    wassymfile databasedir  outputxml
REM    where
REm       databasedir:  directory of the stringmatch database
REM                      e.g. e:\vhany\stringMatch
REM       outputxml:    name of the new symptomdb.xml file
REM                      e.g. e:\cbroker\bin\symptomdb.xml
REM
@setlocal

call "%~dp0setupCmdLine.bat"

set PATH=%WAS_HOME%\bin;%PATH%
for /f %%d in ('cd') do set CURRDIR=%%d
set TEMPIVBDIR=%WAS_HOME%
set DIR=%TEMPIVBDIR%\bin
pushd %DIR%
%JAVA_HOME%\bin\java -DIVB_HOME="%USERPROFILE%" -DIVB_DRIVER_PATH="%TEMPIVBDIR%" ^
  -DVABHELP="file:///%WAS_HOME%/web/InfoCenter/was/" ^
  -DCURRDIR="%CURRDIR% " ^
  -DEDITION=advanced ^
  -cp "%TEMPIVBDIR%\properties\logbr;%TEMPIVBDIR%\lib\ivblogbr.jar;%TEMPIVBDIR%\bin;%TEMPIVBDIR%\lib\logbrjface.jar;%TEMPIVBDIR%\properties\logbr\logbrxml.jar" -mx90m -ms30m com.ibm.ivb.log.SymFile %*
popd
