<%@ page language="java" %>

<%@ taglib uri="/WEB-INF/app.tld" prefix="app" %>
<%@ taglib uri="/WEB-INF/ibm_form.tld" prefix="ibm_form" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="struts_bean" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="struts_logic" %>
<%@ taglib uri="/WEB-INF/struts.tld" prefix="struts" %>

<app:detectLocale/><app:checkLogon/>

<jsp:useBean
    id="user"
    scope="session"
    class="com.ibm.ejs.sm.web.common.User"/>

<html>

<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=*">
    <meta http-equiv="Expires" content="0">

    <script language="JavaScript" src="scripts/menu_functions.js">
    </script>

    <script language="JavaScript">
        if (isNav4) {
            document.write("<link rel='stylesheet' href='css/was_style_ns.css'>");
        } else if (isIE) {
            if (isDom)
                document.write("<link rel='stylesheet' href='css/was_style_ns.css'>");
            else
                document.write("<link rel='stylesheet' href='css/was_style.css'>");
        }
    </script>
</head>

<body class="content">
    <jsp:useBean
        id="traceComponentForm"
        scope="session"
        class="com.ibm.ejs.sm.web.applicationserver.TraceComponentForm"/>

    <struts_bean:define
        id="selectedComponent"
        name="traceComponentForm"
        property="selectedComponent"/>

    <span class="information">
        <struts:errors/>
    </span>

    <struts:form
        action="saveTraceComponent.do"
        name="traceComponentForm"
        focus="<%= traceComponentForm.getFocus() %>"
        type="com.ibm.ejs.sm.web.applicationserver.TraceComponentForm">

        <struts:hidden property="action"/>

        <p class="bread-crumb">
            <IMG SRC="./images/<struts:message key='TraceComponent.smallIcon'/>"/>
            <struts:message key="ApplicationServer.traceComponent.selection"/>
            <struts:htmlProperty name="selectedComponent" property="name"/>
        </p>

        <struts:ifPropertyEquals name="user" property="showDescription" value="true">
            <struts:message key="ApplicationServer.traceComponent.description"/>
        </struts:ifPropertyEquals>

        <table
            border="0"
            cellpadding="0"
            cellspacing="0"
            width="100%"
            summary="Framing Table">
        <tbody>

            <tr>
                <td class="framing-table">

                    <table
                        border="0"
                        cellpadding="3"
                        cellspacing="1"
                        width="100%"
                        summary="Properties Table">
                    <tbody>

                        <tr>
                            <th class="column-head" colspan="3" id="header1">
                                <struts:message key="ApplicationServer.traceComponent.settings"/>
                            </th>
                        </tr>

                        <!-- Section for 'Debug' setting (BEGIN) -->

                        <tr valign="top">
                            <td class="table-text" headers="header1">
                                <label for="selectedDebugSetting">
                                    <struts:message key="ApplicationServer.traceComponent.debug"/>
                                </label>
                            </td>
                            <td class="table-text" headers="header1">
                                <struts:select property="selectedDebugSetting">
                                    <struts:options property="traceSettingTags"/>
                                </struts:select>
                            </td>
                            <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                <td class="description-text" headers="header1">
                                    <struts:message key="ApplicationServer.traceComponent.debug.description"/>
                                </td>
                            </struts:ifPropertyEquals>
                        </tr>

                        <!-- Section for 'Debug' setting (END) -->

                        <!-- Section for 'Entry/Exit' setting (BEGIN) -->

                        <tr valign="top">
                            <td class="table-text" headers="header1">
                                <label for="selectedEntryExitSetting">
                                    <struts:message key="ApplicationServer.traceComponent.entryExit"/>
                                </label>
                            </td>
                            <td class="table-text" headers="header1">
                                <struts:select property="selectedEntryExitSetting">
                                    <struts:options property="traceSettingTags"/>
                                </struts:select>
                            </td>
                            <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                <td class="description-text" headers="header1">
                                    <struts:message key="ApplicationServer.traceComponent.entryExit.description"/>
                                </td>
                            </struts:ifPropertyEquals>
                        </tr>

                        <!-- Section for 'Entry/Exit' setting (END) -->

                        <!-- Section for 'Event' setting (BEGIN) -->

                        <tr valign="top">
                            <td class="table-text" headers="header1">
                                <label for="selectedEventSetting">
                                    <struts:message key="ApplicationServer.traceComponent.event"/>
                                </label>
                            </td>
                            <td class="table-text" headers="header1">
                                <struts:select property="selectedEventSetting">
                                    <struts:options property="traceSettingTags"/>
                                </struts:select>
                            </td>
                            <struts:ifPropertyEquals name="user" property="showDescription" value="true">
                                <td class="description-text" headers="header1">
                                    <struts:message key="ApplicationServer.traceComponent.event.description"/>
                                </td>
                            </struts:ifPropertyEquals>
                        </tr>

                        <!-- Section for 'Event' setting (END) -->

                        <!-- Section for buttons (BEGIN) -->

                        <tr valign="top">
                            <th class="column-head-name" colspan="3">

                                <struts:submit styleClass="buttons" property="saveComponent">
                                    <struts:message key="button.ok"/>
                                </struts:submit>

                                <!-- Cannot use a struts 'reset' tag, because
                                  -- of an interaction with 'default'.  The normal
                                  -- struts reset is copies values from the form.
                                  -- In this case, the reset must copy values from
                                  -- the underlying config. -->

                                <struts:submit styleClass="buttons" property="resetComponent">
                                    <struts:message key="button.reset"/>
                                </struts:submit>

                                <struts:submit styleClass="buttons" property="defaultComponent">
                                    <struts:message key="button.default"/>
                                </struts:submit>

                            </th>
                        </tr>

                        <!-- Section for buttons (END) -->

                    </tbody>
                    </table>

                </td>
            </tr>

        </table>
    </struts:form>

</body>

</html>
